# CbcHeuristicDINS Class Reference

`#include <CbcHeuristicDINS.hpp>`

Inheritance diagram for CbcHeuristicDINS:
[legend]
Collaboration diagram for CbcHeuristicDINS:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDINS ()
| CbcHeuristicDINS (CbcModel &model)
| CbcHeuristicDINS (const CbcHeuristicDINS &)
| ~CbcHeuristicDINS ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicDINS & | operator= (const CbcHeuristicDINS &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
int | solutionFix (double &objectiveValue, double *newSolution, const int *keep)
| This version fixes stuff and does IP.
void | setHowOften (int value)
| Sets how often to do it.
void | setMaximumKeep (int value)
| Sets maximum number of solutions kept.
void | setConstraint (int value)
| Sets tightness of extra constraint.
## Protected Attributes
int | numberSolutions_
| Number of solutions so we can do something at solution.
int | howOften_
| How often to do (code can change).
int | numberSuccesses_
| Number of successes.
int | numberTries_
| Number of tries.
int | maximumKeepSolutions_
| Maximum number of solutions to keep.
int | numberKeptSolutions_
| Number of solutions kept.
int | numberIntegers_
| Number of integer variables.
int | localSpace_
| Local parameter.
int ** | values_
| Values of integer variables.

## Detailed Description

Definition at line 14 of file CbcHeuristicDINS.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDINS::CbcHeuristicDINS | ( |  | ) |

CbcHeuristicDINS::CbcHeuristicDINS | ( | CbcModel & | model | ) |

CbcHeuristicDINS::CbcHeuristicDINS | ( | const CbcHeuristicDINS & |  | ) |

CbcHeuristicDINS::~CbcHeuristicDINS | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicDINS::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicDINS& CbcHeuristicDINS::operator= | ( | const CbcHeuristicDINS & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicDINS::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicDINS::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicDINS::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicDINS::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) This does Relaxation Induced Neighborhood Search

Implements CbcHeuristic.

int CbcHeuristicDINS::solutionFix | ( | double & | objectiveValue,
|  | double * | newSolution,
|  | const int * | keep |
| ) |  |  |

This version fixes stuff and does IP.

void CbcHeuristicDINS::setHowOften | ( | int | value | ) | `[inline]`

Sets how often to do it.

Definition at line 60 of file CbcHeuristicDINS.hpp.

void CbcHeuristicDINS::setMaximumKeep | ( | int | value | ) | `[inline]`

Sets maximum number of solutions kept.

Definition at line 64 of file CbcHeuristicDINS.hpp.

void CbcHeuristicDINS::setConstraint | ( | int | value | ) | `[inline]`

Sets tightness of extra constraint.

Definition at line 68 of file CbcHeuristicDINS.hpp.

## Member Data Documentation

int CbcHeuristicDINS::numberSolutions_`[protected]`

Number of solutions so we can do something at solution.

Definition at line 76 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::howOften_`[protected]`

How often to do (code can change).

Reimplemented from CbcHeuristic.

Definition at line 78 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::numberSuccesses_`[protected]`

Number of successes.

Definition at line 80 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::numberTries_`[protected]`

Number of tries.

Definition at line 82 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::maximumKeepSolutions_`[protected]`

Maximum number of solutions to keep.

Definition at line 84 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::numberKeptSolutions_`[protected]`

Number of solutions kept.

Definition at line 86 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::numberIntegers_`[protected]`

Number of integer variables.

Definition at line 88 of file CbcHeuristicDINS.hpp.

int CbcHeuristicDINS::localSpace_`[protected]`

Local parameter.

Definition at line 90 of file CbcHeuristicDINS.hpp.

int** CbcHeuristicDINS::values_`[protected]`

Values of integer variables.

Definition at line 92 of file CbcHeuristicDINS.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcHeuristicDINS.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines